### Hierarchy

- Uaas
  - UaasService

## Index

### Constructors

- constructor

### Properties

- api
- authenticated
- config
- dev
- errorMessage
- id

### Methods

- init
- login
- logout
- onLoginFailure
- onLoginSucces

## Constructors

### constructor

- new Uaas(): Uaas

- - Defined in uaas/uaas.ts:10

  #### Returns Uaas

## Properties

### api

api: Api

- Defined in uaas/uaas.ts:5

### authenticated

authenticated: boolean = false

- Defined in uaas/uaas.ts:6

### Private config

config: any

- Defined in uaas/uaas.ts:7

### dev

dev: boolean = false

- Defined in uaas/uaas.ts:9

### errorMessage

errorMessage: string = ""

- Defined in uaas/uaas.ts:10

### Private id

id: string

- Defined in uaas/uaas.ts:8

## Methods

### init

- init(id: string, config: any): Promise<void>

- - Defined in uaas/uaas.ts:16

  #### Parameters

  - ##### id: string

  - ##### config: any

  #### Returns Promise<void>

### login

- login(event: any): Promise<void>

- - Defined in uaas/uaas.ts:45

  #### Parameters

  - ##### event: any

  #### Returns Promise<void>

### logout

- logout(): Promise<void>

- - Defined in uaas/uaas.ts:57

  #### Returns Promise<void>

### onLoginFailure

- onLoginFailure(result: any): void

- - Defined in uaas/uaas.ts:68

  #### Parameters

  - ##### result: any

  #### Returns void

### onLoginSucces

- onLoginSucces(result: any): void

- - Defined in uaas/uaas.ts:63

  #### Parameters

  - ##### result: any

  #### Returns void